# Interface GarbageCollectorMXBean

All Superinterfaces:
  `GarbageCollectorMXBean, MemoryManagerMXBean, PlatformManagedObject`

public interface GarbageCollectorMXBean extends GarbageCollectorMXBean
Platform-specific management interface for a garbage collector which performs collections in cycles.

This platform extension is only available to the garbage collection implementation that supports this extension.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`GcInfo`
`getLastGcInfo()`
Returns the GC information about the most recent GC.

### Methods declared in interface GarbageCollectorMXBean

`getCollectionCount, getCollectionTime`

### Methods declared in interface MemoryManagerMXBean

`getMemoryPoolNames, getName, isValid`

### Methods declared in interface PlatformManagedObject

`getObjectName`

## Method Details

### getLastGcInfo

GcInfo getLastGcInfo()
Returns the GC information about the most recent GC. This method returns a `GcInfo`. If no GC information is available, `null` is returned. The collector-specific attributes, if any, can be obtained via the `CompositeData` interface.

MBeanServer access: The mapped type of `GcInfo` is `CompositeData` with attributes specified in `GcInfo`.

Returns:
  a `GcInfo` object representing the most GC information; or `null` if no GC information available.